<?xml version="1.0" encoding="utf-8"?>
<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->
<resources xmlns:tools="http://schemas.android.com/tools">
    <dimen name="crash_reporter_close_tab_button_horizontal_margin">26dp</dimen>
    <dimen name="crash_reporter_close_tab_button_bottom_margin">24dp</dimen>
    <dimen name="glyph_button_height">48dp</dimen>
    <dimen name="glyph_button_width">48dp</dimen>
    <dimen name="mozac_browser_menu_width_min" tools:ignore="UnusedResources">112dp</dimen>
    <dimen name="mozac_browser_menu_width_max" tools:ignore="UnusedResources">314dp</dimen>
    <dimen name="mozac_browser_menu_corner_radius">8dp</dimen>
    <dimen name="mozac_browser_menu2_corner_radius">8dp</dimen>
    <dimen name="library_item_height">56dp</dimen>
    <dimen name="library_item_icon_margin_horizontal">16dp</dimen>
    <dimen name="history_favicon_width_height">40dp</dimen>
    <dimen name="tab_corner_radius">8dp</dimen>
    <dimen name="preference_icon_drawable_size">24dp</dimen>
    <dimen name="search_bar_search_engine_icon_padding">12dp</dimen>
    <dimen name="search_bar_search_icon_margin">28dp</dimen>
    <dimen name="search_engine_engine_icon_margin">12dp</dimen>
    <dimen name="search_engine_radio_button_height">48dp</dimen>
    <dimen name="search_engine_engine_icon_height">24dp</dimen>
    <dimen name="radio_button_padding_horizontal">16dp</dimen>
    <dimen name="radio_button_padding_vertical">12dp</dimen>
    <dimen name="radio_button_preference_height">48dp</dimen>
    <dimen name="radio_button_preference_horizontal">16dp</dimen>
    <dimen name="radio_button_preference_drawable_padding">24dp</dimen>
    <dimen name="radio_button_preference_vertical">12dp</dimen>
    <dimen name="phone_feature_label_recommended_text_size">14sp</dimen>
    <dimen name="site_permissions_exceptions_item_text_size">18sp</dimen>
    <dimen name="site_permissions_exceptions_item_height">56dp</dimen>
    <dimen name="component_collection_creation_list_margin">16dp</dimen>
    <dimen name="exceptions_description_margin">12dp</dimen>
    <dimen name="component_exceptions_learn_more_height">48dp</dimen>
    <dimen name="component_tp_exceptions_icon_size">48dp</dimen>
    <dimen name="preference_seek_bar_padding">16dp</dimen>
    <dimen name="custom_checkbox_alignment_margin">68dp</dimen>
    <!--The assumed minimum height of the keyboard on Lollipop.-->
    <dimen name="minimum_keyboard_height">100dp</dimen>

    <dimen name="context_menu_height">48dp</dimen>
    <dimen name="context_menu_x_offset">8dp</dimen>
    <!-- Dimensions for the CFR (Contextual Feature Recommendation) tooltip triangle. -->
    <dimen name="cfr_triangle_height">16dp</dimen>
    <dimen name="cfr_triangle_width">16dp</dimen>
    <dimen name="cfr_triangle_margin_edge">16dp</dimen>

    <!--Preferences-->
    <dimen name="checkbox_preference_padding_vertical">12dp</dimen>
    <dimen name="radiobutton_preference_margin_start">8dp</dimen>
    <dimen name="top_bar_alignment_margin_start">72dp</dimen>
    <dimen name="top_bar_no_icon_alignment_margin_start">16dp</dimen>
    <dimen name="section_header_height">48dp</dimen>

    <!--Quick Settings-->
    <dimen name="quicksettings_item_height">48dp</dimen>
    <dimen name="tracking_protection_item_height">48dp</dimen>
    <dimen name="tracking_protection_item_margin_end">16dp</dimen>
    <dimen name="tracking_protection_item_margin_bottom">18dp</dimen>

    <dimen name="onboarding_header_icon_height_width">32dp</dimen>

    <!-- Bottom Sheet Fragment card -->
    <dimen name="bottom_sheet_corner_radius">8dp</dimen>
    <dimen name="bottom_sheet_handle_height">3dp</dimen>
    <dimen name="bottom_sheet_handle_top_margin">8dp</dimen>


    <!-- Browser Toolbar -->
    <dimen name="browser_toolbar_height">56dp</dimen>

    <!-- Bookmark Edit Fragment  -->
    <dimen name="bookmark_edit_text_height">48dp</dimen>
    <dimen name="bookmark_select_folder_indent">10dp</dimen>

    <!-- Home Fragment -->
    <dimen name="home_fragment_top_toolbar_header_margin">60dp</dimen>
    <dimen name="home_item_horizontal_margin">16dp</dimen>

    <!-- Browser Fragment -->
    <!--The size of the gap between the tab preview and content layout.-->
    <dimen name="browser_fragment_gesture_preview_offset">48dp</dimen>
    <dimen name="browser_fragment_toolbar_elevation">16dp</dimen>
    <!-- The download dialogs are shown above the toolbar so they need a bigger elevation. -->
    <dimen name="browser_fragment_download_dialog_elevation">17dp</dimen>

    <!-- Search Fragment -->
    <dimen name="search_fragment_clipboard_item_height">56dp</dimen>
    <dimen name="search_fragment_clipboard_item_horizontal_margin">8dp</dimen>
    <dimen name="search_fragment_clipboard_item_title_margin_start">8dp</dimen>
    <dimen name="search_fragment_pill_height">40dp</dimen>
    <dimen name="search_fragment_pill_padding_start">20dp</dimen>
    <dimen name="search_fragment_pill_padding_end">16dp</dimen>
    <dimen name="search_fragment_pill_padding_vertical">4dp</dimen>
    <dimen name="search_fragment_scan_button_margin_end">8dp</dimen>

    <dimen name="search_fragment_clipboard_title_text_size">15sp</dimen>

    <!-- About Fragment -->
    <dimen name="about_list_item_height">56dp</dimen>
    <dimen name="about_list_item_text_padding">8dp</dimen>
    <dimen name="about_header_fenix_logo_height">80dp</dimen>
    <dimen name="about_header_icon_margin_top">36dp</dimen>
    <dimen name="about_header_icon_margin_start_end">84dp</dimen>
    <dimen name="about_header_title_margin_top">16dp</dimen>
    <dimen name="about_header_title_padding_start_end">84dp</dimen>
    <dimen name="about_header_build_info_margin_top">24dp</dimen>
    <dimen name="about_header_build_date_padding_top">24dp</dimen>
    <dimen name="about_header_build_date_padding_bottom">24dp</dimen>
    <dimen name="about_list_margin_top">12dp</dimen>
    <dimen name="about_items_text_size">16sp</dimen>
    <dimen name="about_header_text_line_spacing_extra">4dp</dimen>

    <!-- Locale Settings Fragment -->
    <dimen name="locale_list_margin">16dp</dimen>
    <dimen name="locale_item_text_margin_start">32dp</dimen>
    <dimen name="locale_item_text_margin_end">16dp</dimen>
    <dimen name="locale_item_text_margin_gone_start">72dp</dimen>
    <dimen name="locale_item_title_size">16sp</dimen>
    <dimen name="locale_item_subtitle_size">12sp</dimen>
    <dimen name="locale_item_height">48dp</dimen>

    <!-- Share Fragment -->
    <dimen name="share_recent_apps_background_radius">10dp</dimen>
    <dimen name="share_recent_apps_padding">8dp</dimen>
    <dimen name="share_recent_apps_margin">8dp</dimen>
    <dimen name="share_all_apps_header_margin">16dp</dimen>
    <dimen name="share_list_min_height">160dp</dimen>
    <dimen name="share_all_apps_list_margin">8dp</dimen>
    <dimen name="share_header_text_size">12sp</dimen>
    <dimen name="share_progress_bar_margin">16dp</dimen>

    <!--  Onboarding  -->
    <dimen name="onboarding_dual_pane_radio_button_translation_x">-7dp</dimen>
    <dimen name="onboarding_dual_pane_radio_button_translation_y">-8dp</dimen>

    <!--Onboarding home dialog-->
    <dimen name="oboarding_home_dialog_margin_horizontal">24dp</dimen>

    <!-- Addon Details Fragment -->
    <dimen name="addon_details_rating_view_margin_start">6dp</dimen>
    <dimen name="addon_details_rating_view_margin_end">6dp</dimen>

    <!-- Tabs Tray -->
    <dimen name="tab_tray_tab_item_height">88dp</dimen>
    <dimen name="tab_tray_list_item_thumbnail_width">92dp</dimen>
    <dimen name="tab_tray_list_item_thumbnail_height">72dp</dimen>
    <dimen name="tab_tray_grid_item_thumbnail_width">156dp</dimen>
    <dimen name="tab_tray_grid_item_thumbnail_height">156dp</dimen>
    <dimen name="tab_tray_grid_item_border_radius">8dp</dimen>
    <dimen name="tab_tray_grid_item_outer_border_radius">10dp</dimen>
    <dimen name="tab_tray_multiselect_handle_height">11dp</dimen>
    <dimen name="tab_tray_multiselect_handle_top_margin">0dp</dimen>
    <dimen name="tab_tray_new_collection_padding_start">24dp</dimen>
    <dimen name="tab_tray_new_collection_drawable_padding">28dp</dimen>
    <!--  Keeps FAB and snackbar from covering last item in list -->
    <dimen name="tab_tray_list_bottom_padding">190dp</dimen>

    <!-- Saved Logins Fragment -->
    <dimen name="saved_logins_sort_menu_dropdown_chevron_icon_margin_start">24dp</dimen>
    <dimen name="saved_logins_sort_menu_dropdown_chevron_icon_size">24dp</dimen>
    <dimen name="saved_logins_detail_menu_vertical_padding">5dp</dimen>
    <dimen name="saved_logins_end_icon_drawable_padding">16dp</dimen>
    <dimen name="saved_logins_item_margin_start">16dp</dimen>
    <dimen name="saved_logins_item_margin_end">48dp</dimen>

    <!-- Account Settings Fragment  -->
    <dimen name="account_settings_device_name_min_height">48dp</dimen>

    <!-- Top sites  -->
    <dimen name="top_sites_item_margin_bottom">12dp</dimen>
    <dimen name="top_sites_text_margin_top">6dp</dimen>
    <dimen name="top_sites_favicon_size">36dp</dimen>
    <dimen name="top_sites_favicon_elevation">0dp</dimen>
    <dimen name="top_sites_favicon_corner_size">4dp</dimen>

    <dimen name="top_sites_card_size">60dp</dimen>
    <dimen name="top_sites_card_padding">12dp</dimen>
    <dimen name="top_sites_card_elevation">6dp</dimen>
    <dimen name="top_sites_card_radius">8dp</dimen>

    <!-- Credit Cards Fragment -->
    <dimen name="credit_cards_saved_cards_item_margin_start">16dp</dimen>
    <dimen name="credit_cards_saved_cards_item_margin_end">48dp</dimen>

    <!-- a11y -->
    <dimen name="accessibility_min_height">48dp</dimen>

    <dimen name="tap_increase_16">16dp</dimen>
</resources>
